Skip to main content
GET
/
aggregates
/
estimates
Get aggregate estimates for a period
curl --request GET \
  --url https://api.zenskar.com/aggregates/estimates \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "aggregate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "value": {
    "fields": [
      {
        "quantity": 123,
        "dimension": "<string>"
      }
    ]
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

aggregate_id
string<uuid>
required
customer_id
string<uuid>
required
start_date
string<date>
required
end_date
string<date>
required
get_single
boolean
default:true

Response

Successful Response

id
string<uuid>
required

UUID of the estimate

organisation_id
string<uuid>
required

UUID of the organisation

aggregate_id
string<uuid>
required

UUID of the aggregate

customer_id
string<uuid>
required

UUID of the customer

start_date
string<date>
required

Start date of the estimate

end_date
string<date>
required

End date of the estimate

value
EstimateValue · object
required

Value of the estimate

created_at
string<date-time>
required

Creation timestamp of the estimate

updated_at
string<date-time> | null

Deletion timestamp of the estimate

deleted_at
string<date-time> | null

Deletion timestamp of the estimate